var Util = (function () {
    function Util() {
    }
    Util.assign = function (defaults, overrides) {
        var actual = {};
        Object.keys(defaults).forEach(function (key) { return actual[key] = defaults[key]; });
        if (overrides) {
            Object.keys(overrides).forEach(function (key) { return actual[key] = overrides[key]; });
        }
        return actual;
    };
    Util.isAlpha = function (c) {
        return c && c.search(/[^A-Za-z\s]/) === -1;
    };
    Util.isDigit = function (c) {
        return /\d+/.test(c);
    };
    Util.isSpace = function (c) {
        return /\s+/.test(c);
    };
    return Util;
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = Util;
//# sourceMappingURL=Util.js.map